import { expect } from 'chai'
import { newHoverPosition } from '../dragAndDrop'
import { HOVER_POSITION } from '@instructure/quiz-common/lib/constants'

describe('drag and drop action creators', () => {
  it('returns a well-formed hover position action', () => {
    const hoverAction = newHoverPosition('2')
    expect(hoverAction).to.deep.equal({
      type: HOVER_POSITION,
      payload: '2'
    })
  })
})
